Compilation and installation notes for tin
------------------------------------------
Note: Tin requires a valid fully qualified domain name for the host you are
      running tin on. IF YOU DON'T HAVE A HOST NAME WITH A VALID DOMAIN GO
      AND GET ONE AND CONFIGURE YOUR HOST -- NOW! (This will prevent
      problems with other software, too.) Otherwise users may get "Invalid
      Sender" error messages and won't be able to post using the internal
      inews. You may optionally have a look at the tin.defaults file (watch
      out for disable_sender) and install it in the --with-defaults-dir
      directory using `make install_sysdefs`.

Note: The section 'News machine names' is now at the beginning as it
      seemed to be the most sought after section.


The following configure options and defines are documented in detail:
---------------------------------------------------------------------
  --disable-fcntl                         --prefix
  --disable-included-msgs                 --program-prefix
  --enable-8bit-keys                      --program-suffix
  --enable-append-pid                     --program-transform-name
  --disable-break-long-lines              --with-coffee
  --enable-broken-listgroup-fix           --with-curses-dir
  --enable-broken-system-fix              --with-dbmalloc
  --enable-cancel-locks                   --with-canlock
                                          --with-defaults-dir
  --enable-color                          --with-dmalloc
  --enable-curses                         --with-domain-name
  --enable-debug                          --with-editor
  --enable-echo                           --with-gpg
  --enable-etiquette                      --with-included-gettext
  --enable-fascist-newsadmin              --with-inews-dir
  --enable-flock                          --with-slrnface
  --enable-heapsort                       --with-iso-to-ascii
  --enable-inverse-video                  --with-ispell
  --enable-locale                         --with-libdir
  --enable-lockf                          --with-libiconv-prefix
  --enable-long-article-numbers           --with-mailbox
  --enable-mh-mail-handling               --with-mailer
  --enable-mime-strict-charset            --with-metamail
  --enable-nls                            --with-mime-default-charset
  --enable-nntp                           --with-ncurses
  --enable-nntp-only                      --with-nntp-default-server
                                          --with-nntps
                                          --with-nov-dir
  --enable-pgp-gpg                        --with-nov-fname
  --enable-piping                         --with-pcre
  --enable-posting                        --with-pcre2-config
  --enable-printing                       --with-pgp
  --enable-prototypes                     --with-pgpk
  --enable-shell-escape                   --with-screen
  --enable-warnings                       --with-shell
  --enable-xhdr-xref                      --with-spooldir
  --exec-prefix                           --with-sum
  --mandir                                --with-trace
                                          --with-zlib

  ENFORCE_RFC1034                         HAVE_UUDEVIEW_H
  EVIL_INSIDE                             NNTP_INEWS
  FOLLOW_USEFOR_DRAFT                     NNTP_SERVER_FILE
  FORGERY                                 PROFILE
  REQUIRE_BRACKETS_IN_DOMAIN_LITERAL      SMALL_MEMORY_MACHINE
  HAVE_LIBUU                              REREAD_ACTIVE_FILE_SECS
  HAVE_BROKEN_SSCANF                      DISABLE_PIPELINING
  OPTIMIZE_JUST_STAR                      MATCH_TAR_PATTERN
  MIN_COLUMNS_ON_TERMINAL                 MIN_LINES_ON_TERMINAL
  MAXARTNUM


Not yet documented configure options and defines:
-------------------------------------------------
TIN related:
  --with-socks                           --with-socks5

  BACKUP_FILE_EXT                         FILE_MODE_BROKEN
  DEBUG_ART                               NO_LOCKING

System related:
  --datadir                               --localstatedir
  --includedir                            --oldincludedir
  --infodir                               --sbindir
  --install-prefix                        --sharedstatedir
  --libdir                                --srcdir
  --libexecdir                            --sysconfdir
  --with-x                                --with-Xaw3d
  --with-neXtaw                           --with-XawPlus
  --with-build-cc                         --with-build-cflags
  --with-build-cppflags                   --with-build-ldflags
  --with-build-libs                       --build
  --host                                  --target
  --with-pkg-config                       --with-textdomain

News machine names
------------------
--with-domain-name (default: unset)
Defines the name of your news gateway machine. Useful if you don't want
your internal network visible to the outside world, or if your inews script
or NNTP server rewrites your address for you.
If the first letter of the string is a '/' the gateway name will be read from
the specified file.

Example: If you are on machine 'tragic' at network domain 'confusion.com',
Tin will assume your From: line should read "user@tragic.confusion.com". If
your inews script instead rewrites your address as "user@confusion.com", you
will be unable to cancel your own postings. To make your posts and cancels
work properly, configure using --with-domain-name="confusion.com".


General Notes on Building Tin
-----------------------------
Tin has been compiled on a wide range of Un*x machines with cc and gcc.
A list of these machines can be found at the end of this file.

This file is long (so was the yellow brick road) but please read it all
as it could save you problems later and we don't want an unhappy ending
do we? :-)

Tin can be compiled to read news in any of the following ways:

  o  locally from your machines news spool dir (default /var/spool/news,
     can be set via --with-spool-dir).

  o  locally and remotely via NNTP (rtin or tin -r option) (--enable-nntp).

  o  remotely via NNTP (--enable-nntp-only).

If the remote server supports NOV overview indexing, then tin will retrieve
overview data on the fly using the NNTP [X]OVER extension. Otherwise tin will
create its own NOV style index files on the local machine for each user in
${TIN_INDEX_NEWSDIR-"${TIN_HOMEDIR-"$HOME"}/.tin"}/.news/

Many machines require the name of the news gateway machine or the news
domain to be set via the --with-domain-name configure options. This is
true of both NNTP and local news systems.


Building the Normal version:
----------------------------
1)  Type './configure --help' to see which options are needed for your
    local setup. These options are described below, too.

2)  Change conf-tin for your needs or run ./configure with all needed
    options.

3)  Type 'make build' to build tin in the src/ directory.
    Alternatively go to the src subdirectory and type 'make'.

4)  Type 'make install' to install.

5)  Have a look at doc/tin.defaults and set options as you need them (if
    they differ from your compile time options). If you make any changes,
    type 'make install_sysdefs' afterwards.


Testing Tin
-----------
Of course you _were_ going to test it before installing it for anyone else
to use, weren't you? This is just a little reminder and some suggestions
on what to test first, and where to look first if it's broken.

Things to test:

1) Check that you can read news from several local and world-wide groups.
   If this fails, check that the NNTP define directives are correctly set,
   and for local news systems, that the News directory structure define
   directives are correctly set. For NNTP versions, check that the server is
   actually running and can be connected to from your machine. This should
   help you find and fix some of the most common problems.

   If reading news works fine, then:

2) Check that you can post a test message to a local distribution group,
   preferably a test-only group. (Remember, the world does not care to know
   whether you are testing Tin.) If it fails, check that the
   --with-inews-dir option is correctly set, that NNTP_INEWS is correctly
   set, and that the News machine name define directives are correctly set.
   If possible, check whether you can post via some other mechanism, such
   as Pnews. This should help you isolate and fix the most common problems.

   If posting news works fine, then:

3) Check that you can cancel one of your test postings. If not, it is
   almost certain that your News machine defines need to be set correctly,
   because Tin thinks your From: line is different from what has actually
   been posted. See the section on News machine names above and below.

Further testing is desirable, but left to your individual conscience and
ingenuity.

Detailed list of configure options (beginning with '--') and compiler flags
(-D<name> directives):


Compiler and machine options
----------------------------
--enable-warnings (default: off)
Enable if you want to see all GCC compiler warnings during compilation.

--enable-echo (default: on)
Enable if you want to see full display compiling commands during compilation.

--enable-prototypes (default: off)
Enable if you want configure to check for various fallback prototype
declarations.

SMALL_MEMORY_MACHINE (default: not set)
Define if you are running a machine with little memory (<4MB). Tin will
run slightly slower but be more efficient in how memory is allocated and
reclaimed.


News directory structure
------------------------
--with-libdir=PATH (default: /usr/lib/news or not set)
Define if news software is not in /usr/lib/news. (Only needed if not
running --enable-nntp-only.) Compiled-in value can be overridden by setting
the newslibdir entry in doc/tin.defaults (don't forget to 'make
install_sysdefs' to install the tin.defaults file at a location where tin
can find it!).

--with-spooldir=PATH (default: /var/spool/news or not set)
Define if news articles are not in /var/spool/news. (Only needed if not
running --enable-nntp-only.) Compiled-in value can be overridden by setting
the spooldir entry in tin.defaults (don't forget to 'make install_sysdefs'
to install the tin.defaults file at a location where tin can find it!).

--with-nov-dir=PATH (default: same as --with-spooldir)
Define if news overview (NOV) files are not stored in SPOOLDIR. (only
needed if not running --enable-nntp-only) Compiled-in value can be
overridden by setting the overviewdir entry in tin.defaults (don't forget
to 'make install_sysdefs' to install the tin.defaults file at a location
where tin can find it!).

--with-nov-fname=NAME (default: .overview or not set)
Define if your news overview files are not named .overview. (Only needed if
not running --enable-nntp-only.) Compiled-in value can be overridden by
setting the overviewfile entry in tin.defaults (don't forget to 'make
install_sysdefs' to install the tin.defaults file at a location where tin
can find it!).

--with-inews-dir=PATH (default: same as --with-libdir or /usr/lib/news)
Define if the 'inews' program is not in the directory specified with
--with-libdir (if not running --enable-nntp-only) or /usr/lib/news (if
running --enable-nntp-only). Compiled-in value can be overridden by setting
the inewsdir entry in tin.defaults (don't forget to 'make install_sysdefs'
to install the tin.defaults file at a location where tin can find it!).


NNTP - Reading & posting news
-----------------------------
--enable-nntp (default: on)
Enable if you wish to read news locally and remotely via an NNTP server.
Disable if you only want to read from local spool. Note: If you disable
this feature, you won't be able to connect to any NNTP server.

--enable-nntp-only (default: off)
Enable if you [want to | can] ONLY read news remotely via an NNTP server.

--with-nntps[=[libtls,openssl,gnutls]] (default: no)
Enable if you want to also use NNTPS. Needs either LibreSSL (libtls),
OpenSSL or GnuTLS. Without an argument autodetection is done. Requires
NNTP support (one of the two options above) and --with-pkg-config if
using openssl. --with-pkg-config is also recommended but not required
when using libtls or gnutls.

--with-nntp-default-server (default: news.$DOMAIN_NAME)
Defines the name of the default NNTP server that tin should connect to.
Can be overridden by setting the environment variable NNTPSERVER.

--enable-broken-listgroup-fix (default: off)
Bypass a bug in some broken NNTPservers which need an extra GROUP command
before accepting a LISTGROUP command. This can be also used to bypass the
bug in some servers (i.e. DeleGate, SurgeNews) where LISTGROUP doesn't
select the group and thus subsequent cmds. fail.

--enable-xhdr-xref (default: on)
If disabled, don't allow using XHDR XREF if XOVER doesn't work to mark
crossposted articles as read in all groups.

The following options determine which locking method should be used when
appending posted or postponed messages to mailbox-style files. Tin will
try each method that can be configured, in succession. If none of your
selections can be configured, tin will try each possibility anyway. The
intent of these options is to prevent particular locking methods from
being configured into the executable.

        --disable-fcntl         disable fcntl() locking
        --enable-lockf          enable lockf() locking
        --enable-flock          enable flock() locking

NNTP_INEWS (default: set if using --enable-nntp or enable-nntp-only;
                     unset if not using NNTP)
Define if you want to use the built-in NNTP POST routine so that you no
longer have to rely on the mini-inews from NNTP to be installed on each
client machine. Also check that --with-domain-name is correctly set to
produce a correct From: headers for your site. If defined then the
~/.tin/tinrc variable "inews_prog" default will be set to --internal.
The tinrc file is created automatically for each user the first
time they use tin.

NNTP_SERVER_FILE (default: /etc/nntpserver)
Only define if your NNTP-server file is other than /etc/nntpserver.

DISABLE_PIPELINING
Define if your newsserver can't handle pipelined commands.

--enable-long-article-numbers (default: off)
Add code to handle huge (>2^31) article numbers, such article numbers violate
the NNTP RFC and support for them may sensible increases tins memory usage.
If SMALL_MEMORY_MACHINE is defined --enable-long-article-numbers has no
effect.

--with-zlib (default: on)
Check for zlib compression/decompression library and link against it if
available. This is a prerequisite for the -C cmd-line switch which can be
used to activate NNTP compression as defined in RFC 8054.

Options to set some default values
----------------------------------
--with-shell=PROG (default: sh, except on BSD where csh is used)
Define the default shell which is used if the $SHELL variable is not set,
and the user has not defined it in their tinrc file. Do not give the
directory as part of the program name; the configure script will look for
it in standard locations.

--with-defaults-dir=PATH (default: /etc/tin)
Define the directory for the tin.defaults file. With the entries in the
tin.defaults you can set some machine specific options and override some
compile time defaults. See the tin.defaults file in the doc directory for
more information.

--with-editor=PROG (default: empty)
Define if the standard editor should be anything other than the value of
your EDITOR or VISUAL environment variable or, at as the last resort, vi.
You can also add some default command line options to the editor. Users
can overwrite this value by setting default_editor_format in their tinrc
file.

--with-mailer=PROG (default: empty)
Define if the default mailer program should be anything other than the
value of your MAILER environment variable.

--with-mailbox=PATH (default: empty)
Define the directory for incoming mailboxes. If none is given,
/var/spool/mail, /usr/spool/mail, /var/mail, /usr/mail, and /mail are
checked automatically.

--enable-etiquette (default: on)
If enabled, prints netiquette before posting by default. Users can turn
this off by setting beginner_level to OFF in their tinrc. If disabled,
netiquette is never displayed (cannot be turned on without recompiling).


Input and screen output options
-------------------------------
--enable-locale (default: on)
If enabled, tin uses multi language support, as described in locale(7). If
you don't have locale support installed on your system, try
--disable-locale, otherwise you won't see any 8-bit-characters. See
doc/umlauts.txt (English text) or doc/umlaute.txt (German text) for further
information.

--with-mime-default-charset=charset (default: US-ASCII)
Define if your users usually post messages in another charset than
US-ASCII. Europeans should use one of the ISO-8859-X series here.
Compiled-in default value can be overridden by setting the mm_charset entry
in tin.defaults (don't forget to 'make install_sysdefs' to install the
tin.defaults file at a location where tin can find it!). Users can override
this value by setting MM_CHARSET in the options menu or using the
MM_CHARSET environment variable.

--enable-mime-strict-charset (default: on)
If this option is turned on, any characters of charsets other than that
defined in MM_CHARSET will be considered non-displayable. If your standard
encoding is ISO-8859-X then you probably want to disable this option.

--with-iso-to-ascii=value (default: -1)
Define if you want tin to do ISO-8859-1 to ASCII charset conversions by
default for all groups. You must specify a value of "0-6" to get tin to use
one of the following 7 conversion tables for different languages

        0  replace 8-bit letters by 7-bit counterpart without diacritics
           (Ä -> A) and other characters by similar 7-bit ones (» -> >>)
        1  same as 0, but use only one character (preserves layout)
        2  convert 8-bit letters to 7-bit replacements (Ä -> Ae)
           (useful for Danish, Dutch, German, Norwegian and Swedish)
        3  replace 8-bit letters by 7-bit ISO 646 characters
           (mostly for Danish, Finnish, Norwegian and Swedish)
        4  convert 8-bit characters according to RFC 1345
        5  build 8-bit characters by combining several 7-bit chars and
           using backspace (useful for printers)
        6  table for IBM PC character set (code page 437)

E.g., adding --with-iso-to-ascii=2 to the configure options would be useful
in German language newsgroups. For more detailed info read the file
./doc/iso2asc.txt. Default value for --with-iso-to-ascii is "-1", which
means no conversion at all. Users can override this value by setting an
environment variable ISO2ASC.

--with-curses-dir=dir (default: empty)
If (n)curses is not installed in a standard location (i.e below /usr) you
can specify its installation directory here.

--with-screen=type (default: termcap)
This is a simpler way (than --with-ncurses and --enable-curses) to specify
the screen library. If you give none of these options, the configure script
will look for the termcap or terminfo interfaces, and attempt to use the
most appropriate one that your system supports. The other screen types which
you may select are: curses, ncurses, ncursesw, pdcurses.

--with-ncurses
Define this if you want to link with ncurses instead of termcap. Note: This
is required on some Linux distributions (i.e., SuSE) where there is either a
curses or termcap library which is not ncurses. If ncurses is installed as
the curses library, this option is usually not needed. This option is
deprecated, use --with-screen=ncurses (see above) instead.

--enable-curses (default: off)
Enable this if you wish to use the curses screen optimizing rather than
termcap. This has been tested well starting with ncurses 4.1; it should work
(except for mouse support and screen resizing) with SVr4 curses (Solaris 2.5
is known to have a bug in libc which prevents use of curses, ncurses works
well on that platform). To build with ncurses screen optimizing, you must
give both the --with-ncurses and --enable-curses options. This option is
deprecated, use --with-screen=ncurses (see above) instead.

--enable-inverse-video (default: on)
Disable if you want inverse video and highlighted bar disabled by default.
Can be toggled in tin by the 'I' command. Users can also set draw_arrow and
inverse_ok variables in their tinrc to override this default.

--enable-8bit-keys (default: on)
Enable if your terminal generates 8-bit controls. For Unix systems we
assume this may imply your arrow keys begin either with CSI (0x9b) or SS3
(0x8f). Most ANSI terminals generate 7-bit controls (e.g., CSI is
"<esc>["), but some such as VT220 can be configured more efficiently to
generate 8-bit prefix codes, saving a byte per control sequence. This
applies to cursor movement at the same time. The actual codes are read
from termcap (this does not affect the curses configuration).


Feature options
---------------
--enable-color (default: on)
Enable if you want to have ANSI-color support. This works on most color
displays and the color xterm. The color mode can be switched on/off in
~/.tin/tinrc (use_color) and can be toggled with option -a or key '&'.

--enable-pgp-gpg (default: on)
Use --disable-pgp-gpg to turn off all pgp/gpg support, use
--with[out]-[pgp|pgpk|gpg] to select exactly one of the encryption
systems! Once again: if you have more than one method installed on
your system, _disable_ all but one of the offered pgp/pgp supports.

--with-pcre[=PATH] (default: bundled copy of pcre)
Define if you wish to use an externally-installed copy of PCRE
(Perl-compatible regular expressions). If you specify a PATH, it should
be the root of a directory containing the include- and lib-directories
where PCRE is installed. If you do not specify a PATH, the makefile
will use the standard locations for this library. Tin will build with
PCRE 2.08 and later. If possible use pcre2 (see below) as the old API
is EOL!

--with-pcre2-config[=PATH] (default: unset)
Define if you wish to use an externally-installed copy of PCRE2
(Perl-compatible regular expressions, revised API). If you specify a PATH,
it should be the full path to pcre2-config script. It is also possible to
override the scripts name by setting the name in the PCRE2_CONFIG environment
variable.

--with-pgp=PATH (default: from system $PATH)
Define if you have PGP-2 (Pretty Good Privacy encryption system)
installed and want the option of checking signatures, extract keys,
sign messages and add public key to messages. This is bound to the
key 'g' or '^G'. Say --without-pgp if you don't want pgp-2 support.

--with-pgpk=PATH (default: from system $PATH)
Define if you have PGP-5 (Pretty Good Privacy encryption system)
installed and want the option of checking signatures, extract keys,
sign messages and add public key to messages. This is bound to the
key 'g' or '^G'. Say --without-pgpk if you don't want pgp-5 support.

--with-gpg=PATH (default: from system $PATH)
Define if you have GPG (GNU Privacy Guard encryption system)
installed and want the option of checking signatures, extract keys,
sign messages and add public key to messages. This is bound to the
key 'g' or '^G'. Say --without-gpg if you don't want gpg support.

--with-ispell=PATH (default: set automatically)
Define if you have ispell (interactive spell-checker) installed and want
the option of checking your articles, mails before posting/mailing them. If
found in search path, this is used automatically.

--with-metamail=PATH (default: set automatically)
Define if you want metamail display your MIME messages. If found in search
path, this is used automatically.

--with-slrnface=PATH (default: set automatically)
Define if you have slrnface installed and want to use it to show X-Faces. If
found in search path, this is used automatically.

--with-sum=PATH (default: set automatically)
Define if you have sum to print checksum and block counts for saved files.
If found in search path, this is used automatically if not linking against
libuu (HAVE_LIBUU).

--enable-posting (default: on)
If disabled, TIN does not allow posting/followup of articles.

--enable-fascist-newsadmin (default: off)
Enable if you want to restrict articles posted with your tin a bit to
enforce some formal rules. This will change the following warnings to an
error in the article checking routine therefore causing the user to reenter
the editor and change the article or to cancel posting:
 - Group(s) in Newsgroups: or Followup-To: header were not found in
   the sites' active file
 - Approved: header was found when user was in beginner level
 - Signature has more than MAX_SIG_LINES (see include/tin.h) lines
 - Crossposting without Followup-To: header
 - Followup-To: header with more than one newsgroup

--enable-shell-escape (default: on)
If disabled, do not allow shell escapes. Note: There may still be
possibilities for users to start a shell (e.g. from within an editor or
using a shell as the "editor"), even if you disable this feature here.
They are just not able to use the '!' key to do so.

--enable-piping (default: on)
Disable if your system does not support piping of articles to shell commands
or if you don't want your users to have such support. Note: There may still
be possibilities for users to "pipe" an article to a command, even if you
disable this feature. They are just not able to use the '|' key to do so.

--enable-printing (default: on)
Disable if your system does not support printing or if you don't want your
users to have such support. Note: There may still be possibilities for users
to print an article, even if you disable this feature. They are just not
able to use the 'o' key to do so.

--enable-mh-mail-handling (default: off)
Enable if you want to use the MH style mail handling & reading code in
mail.c. It should be noted that mail handling is not well tested and not
yet fully implemented. You can expect errors if you use this option so let
me know the problems by sending me a bug report ('R' bug command from
within tin). See doc/reading-mail.txt for further information.

--enable-cancel-locks (default: off)
Turn on Cancel-Locks (RFC 8315). This feature requires the client to know
the Message-ID of the posting, so if your server does not offer server side
purposed IDs you have to mess around with EVIL_INSIDE.

--with-canlock[=PATH] (default: bundled copy of canlock)
If --enable-cancel-locks is used, use this option to also specify if you
wish to use an externally-installed copy of the canlock (Cancel-Locks)
library. If you specify a PATH, it should be the root of a directory
containing the include- and lib-directories where canlock is installed.
If you do not specify a PATH, the makefile will use the standard
locations for this library.

--enable-heapsort (default: on)
Enable heapsort(3) as alternative to qsort(3). In large groups with a long
retention and long threads this may be a performance win as the data in
the group is somewhat presorted. Use --disable-heapsort to deactivate
heapsort(3) inclusion.

--disable-ipv6 (default: enabled)
Disable IPv6 support.

--enable-nls (default: on)
The --enable-nls option enables Native Language Support (NLS), which allows
tin to run in languages other than American English. Native Language
Support is enabled by default, the --disable-nls option disables NLS.

--with-included-gettext (default: off)
If NLS is enabled, the --with-included-gettext option causes the build
procedure to prefer its copy of GNU gettext.

--disable-included-msgs (default: off)
If NLS is enabled, the --disable-included-msgs option causes the build
procedure to assume message libraries are already installed, and to
not build them.

HAVE_LIBUU (default: set automatically)
HAVE_UUDEVIEW_H (default: set automatically)
Define *both* if you want to use libuu for uudecoding and collecting
multipart binary articles (libuu is part of uudeview, which can be found at
<http://www.fpx.de/fp/Software/UUDeview/>). libuu must be somewhere in the
library paths, uudeview.h somewhere in the include paths when compiling. If
they are found there by configure, these defines are set automatically.


Debug/test options
------------------
--with-dbmalloc (default: off)
Link with Conor Cahill's dbmalloc library, used to check for memory leaks,
incorrect frees, etc.

--enable-debug (default: off)
Define if you want tin to log debug information to files in $TMPDIR.
Activated by tin -Dn where n is 1 = NNTP-dialog, 2 = filter-file,
4 = newsrc-file, 8 = threading, 16 = memory allocation (malloc/free),
32 = misc (-D 63 = debug all). Debug files written to $TMPDIR are ARTS,
ACTIVE, BASE, NNTP, SAVE_COMP, BITMAP, MALLOC and FILTER. Depending on
the debuglevel some files may not be generated. As the files written in
$TMPDIR are world readable and may contain unencrypted password information
(e.g. when using -D 1) don't run "-D n" on multiuser systems without setting
$TMPDIR to a safe location, e.g. "TMPDIR=$HOME ./tin -D 1".

--with-trace (default: off)
Trace data which is formatted and written to the screen. Use this to debug
changes to the curses or termcap interfaces. A file trace will be created in
$PWD when tin is started.

--with-dmalloc (default: off)
Link with Gray Watson's dmalloc library, used to check for memory leaks,
incorrect frees, etc.

PROFILE
profile time consuming operations


Miscellaneous options
---------------------
--disable-append-pid (default: on)
Disable if you want tin not to append its process id to any file that a user
edits (.article, .cancel, .letter etc.). Keeping the default is highly
recommended if a user wants to start several instances of tin at a time;
otherwise files might be overwritten.

--disable-break-long-lines (default: on)
Disable if you want tin not to break long MIME encoded header lines in
accordance with RFC 2047 (i.e. after 76 characters) in postings as well as
in e-mail. Default is to break ("fold") such lines in news postings.
Some very old news servers and clients can't handle folded lines very
well. This option only affects headers in postings; e-mail headers are
always folded if they have MIME encoded words and are longer than 76
characters.

--enable-broken-system-fix (default: off)
Ignore system()s return value. This is only needed on some very old OSs,
e.g. NEXTSTEP3, SEIUX, DG/UX where the WIFEXITED()/WEXITSTATUS() macros do
not work.

--prefix=dirname
Specify the toplevel installation directory. This is the recommended way to
install tin into a directory other than the default. The toplevel
installation directory defaults to /usr/local.

--exec-prefix=dirname
Specify the toplevel installation directory for architecture-dependent
files. The default is prefix.

--bindir=dirname
Specify the installation directory for the executables called by users (such
as tin and rtin). The default is exec-prefix/bin.

--mandir=dirname
Specify the installation directory for manual pages. The default is
prefix/man.

--program-prefix=prefix
Tin supports transformations of its name when installing it. This option
prepends prefix to the name of the program to be installed in bindir. For
example, specifying --program-prefix=foo- would result in tin being
installed as /usr/local/bin/foo-tin.

--program-suffix=suffix
Appends suffix to the name the program to be installed in bindir. For
example, specifying --program-suffix=-1.5 would result in tin being
installed as /usr/local/bin/tin-1.5

--program-transform-name=pattern
sed script pattern to be applied to the name of the program to be install in
bindir. pattern has to consist of one or more basic sed editing commands,
separated by semicolons. For example, if you want tin program name to be
transformed to the installed program /usr/local/bin/myowntin you could use
the pattern --program-transform-name='s/^tin$/myowntin/' to achieve this
effect.

FORGERY
Define if you want to be able to cancel postings you did not write
yourself. The !cyberspam and cancel conventions are supported. Be
careful with this feature, it should not be used in a free accessible
tin. This feature does not work with INN using the INN-inews (when
using without NNTP), because INN-inews rejects these cancels.

ENFORCE_RFC1034
require domain name components not to start with a digit (GNKSA-check)

REQUIRE_BRACKETS_IN_DOMAIN_LITERAL
require domain literals to be enclosed in square brackets (GNKSA-check)

TINC_DNS
allow additional toplevel domains (GNKSA-check)

EVIL_INSIDE
let tin generate Message-IDs

ALLOW_FWS_IN_NEWSGROUPLIST
issue a warning instead of an error-message if Newsgroups: or
Followup-To:-header contains spaces, newlines or tabs.
See RFC 5536 3.1.4. and RFC 5536 3.2.6.

REREAD_ACTIVE_FILE_SECS
initial default value for tinrc variable reread_active_file_secs,
see tin(5) for details.

OPTIMIZE_JUST_STAR
treat a wildmat of * as a match without inspecting the text to match. this
is a simple optimization and hard set to 1 in wildmat.c

MATCH_TAR_PATTERN
do tar(1) matching rules, which ignore a trailing slash. this is hard unset
in wildmat.c to disable it.

MIN_COLUMNS_ON_TERMINAL
tin will exit if the terminal it runs in has less columns then the given
value. the default is 40.

MIN_LINES_ON_TERMINAL
tin will exit if the terminal it runs in has less lines then the given
value. the default is 8.

DEBUG
allow various debug levels (1 = NNTP, 2 = filter, 4 = newsrc, 8 = threading,
16 = memory, 32 = attributes, 64 = misc, 128 = remove existing debug files)
via -D the command-line switch. this may expose sensitive data (i.e. your
username & password used to authenticate on the news-server) on the local
system; read the SECURITY-section in man-page.

MAXARTNUM
experimental MAXARTNUM NNTP extension. the syntax is currently under
discussion and may change, so use with caution.


License
-------
SPDX-License-Identifier: BSD-3-Clause
See <https://spdx.org/licenses/BSD-3-Clause.html> and/or
<https://opensource.org/licenses/BSD-3-Clause>

Compiled & installed
--------------------
Tin was successfully built and installed on a variety of platforms including
Linux, FreeBSD, OpenBSD, NetBSD, BSDi, Darwin, Solaris, IRIX, HP-UX, Ultrix,
Tru64, AIX, SINIX, UXP/V, SUPER-UX, Unicos, QNX, GNU Hurd, DG/UX, SEIUX,
Openstep, MiNT, Haiku, MINIX, Syllable, Bitrig, UnixWare and Cygwin.
For a detailed list see <http://www.tin.org/builds.html>
